petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecDotRealPart

Computes the real part of the vector dot product.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecDotRealPart(Vec x,Vec y,PetscReal *val)

Collective on Vec Many br

### Input Parameters

x, y -the vectors Many br

### Output Parameter

val -the real part of the dot product; Many br

### Performance Issues

       per-processor memory bandwidth

       interprocessor latency

       work load inbalance that causes certain processes to arrive much earlier than others

### Notes for Users of Complex Numbers

See VecDot() for more details on the definition of the dot product for complex numbers Many br

For real numbers this returns the same value as VecDot() Many br

For complex numbers in C^n (that is a vector of n components with a complex number for each component) this is equal to the usual real dot product on the Many brthe space R^{2n} (that is a vector of 2n components with the real or imaginary part of the complex numbers for components) Many br

Developer Note: This is not currently optimized to compute only the real part of the dot product. Many br

Many br

### See Also

VecMDot(), VecTDot(), VecNorm(), VecDotBegin(), VecDotEnd(), VecDot(), VecDotNorm2()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages